<?php   

# Alert the user that this is not a valid entry point to MediaWiki if
# they try to access the special pages file directly.
if (!defined('MEDIAWIKI')) {
        echo <<<EOT
To install my extension, put the following line in LocalSettings.php:
require_once( "\$IP/extensions/EditImage/EditImage.php" );
EOT;
        exit( 1 );
}

$dir = dirname(__FILE__) . '/';
$wgAutoloadClasses['EditImage'] = $dir . 'EditImage_body.php';
$wgExtensionMessagesFiles['EditImage'] = $dir . 'EditImage.i18n.php';
$wgSpecialPages['EditImage'] = 'EditImage'; 
# $wgHooks['LanguageGetSpecialPageAliases'][] = 'EditImageLocalizedPageName';

function myExtensionLocalizedPageName(&$specialPageArray, $code) {
  # The localized title of the special page is among the messages of the extension:
  wfLoadExtensionMessages('EditImage');
  $text = wfMsg('editimage');

  # Convert from title in text form to DBKey and put it into the alias array:
  $title = Title::newFromText($text);
  $specialPageArray['EditImage'][] = $title->getDBKey();

  return true;
}

$wgExtensionCredits['specialpage'][] = array(
    'name' => 'EditImage',
    'version' => '0.1',
    'author' => 'Benjamin Mako Hill', 
    'url' => 'http://www.mediawiki.org/wiki/User:Benjamin_Mako_Hill', 
    'description' => 'This extension provides a way for Mediawiki users to edit images from the web.'
);



?>
